Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-19345

Fix Nuxeo Salesforce Web build (iron-flex-layout version conflict)

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 7.10
    • Fix Version/s: 8.2
    • Component/s: Salesforce

      Description

      Nuxeo Salesforce Web fails on ECONFLICT Unable to find suitable version for iron-flex-layout.

      See https://github.com/PolymerElements/iron-demo-helpers/commit/9dde5be8cc39c8047e537d09fb31b5b0e2cb9ef1

      Maybe that we could use v1.2.0?

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:1.7:run (gulp-build) on project nuxeo-salesforce-web: An Ant BuildException has occured: The following error occurred while executing this line:
      [ERROR] /opt/jenkins/workspace/IT-nuxeo-master-build/nuxeo/addons/nuxeo-salesforce/nuxeo-salesforce-web/build.xml:38: exec returned: 1
      [ERROR] around Ant part ...<ant antfile="/opt/jenkins/workspace/IT-nuxeo-master-build/nuxeo/addons/nuxeo-salesforce/nuxeo-salesforce-web/build.xml" dir="/opt/jenkins/workspace/IT-nuxeo-master-build/nuxeo/addons/nuxeo-salesforce/nuxeo-salesforce-web"></ant>... @ 4:226 in /opt/jenkins/workspace/IT-nuxeo-master-build/nuxeo/addons/nuxeo-salesforce/nuxeo-salesforce-web/target/antrun/build-main.xml

      https://qa.nuxeo.org/jenkins/job/IT-nuxeo-master-build/1833/
      https://qa.nuxeo.org/jenkins/view/P1/job/nuxeo-master-buildonly-daily/1601
      https://qa.nuxeo.org/jenkins/view/P1/job/ondemand-testandpush-check-master/1310/
      https://qa.nuxeo.org/jenkins/view/7.10/job/addons_nuxeo-salesforce-7.10/171/
      https://qa.nuxeo.org/jenkins/view/7.10/job/nuxeo-7.10-fullbuild-daily/136/

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.